Bug 247719 - devel/pcsc-lite: set ipcdir to /var/run again
Summary: devel/pcsc-lite: set ipcdir to /var/run again
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-07-02 15:58 UTC by Christoph Moench-Tegeder
Modified: 2020-07-04 09:25 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mmokhi)
cmt: merge-quarterly?


Attachments
set ipcdir back to /var/run (634 bytes, patch)
2020-07-02 15:58 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2020-07-02 15:58:53 UTC
Created attachment 216146 [details]
set ipcdir back to /var/run

the latest update to devel/pcsc-lite 1.9.0 (ports r540943) set pcscd's ipcpath to /run (see ChangeLog at https://salsa.debian.org/rousseau/PCSC/blob/master/ChangeLog#L5 )- which does not exist on FreeBSD, which makes pcscd fail on startup with
: 00000298 [34366795776] pcscdaemon.c:624:main() cannot create /run/pcscd: No such file or directory

Passing "--enable-ipcdir=/var/run" fixes the issue - see attached patch.

- set ipcdir to /var/run
- bump PORTREVISION for binary change

patch passed poudriere and "works for me".
As pcscd requires manual intervention for unbreaking (e.g. symlink /run), I'd suggest MFH 2020Q3.
Comment 1 Li-Wen Hsu freebsd_committer 2020-07-02 16:52:05 UTC
I'll take care of this because of I committed ports r540943.
Comment 2 commit-hook freebsd_committer 2020-07-02 17:06:08 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Jul  2 17:05:44 UTC 2020
New revision: 541046
URL: https://svnweb.freebsd.org/changeset/ports/541046

Log:
  Restore ipcdir to /var/run

  PR:		247719 [1] 247286 [2]
  Submitted by:	cmt [1]
  Reported by:	Tatsuki Makino [2]
  Approved by:	maintainer timeout (followup last coomit)
  MFH:		2020Q3

Changes:
  head/devel/pcsc-lite/Makefile
Comment 3 Tatsuki Makino 2020-07-02 21:50:35 UTC
Thank you. It works for me, too.

However, that's a minor change from 1.8.24. The location of pcscd.comm and pcscd.pid changes from /var/run/pcscd to /var/run. The reason for that is the following fragment of unified diff.

--- pcsc-lite-1.8.24/configure.ac       2018-10-12 09:06:13.000000000 +0000
+++ pcsc-lite-1.9.0/configure.ac        2020-06-14 13:27:22.000000000 +0000
@@ -365,13 +371,13 @@
 
 # --enable-ipcdir=DIR
 AC_ARG_ENABLE(ipcdir,
   AS_HELP_STRING([--enable-ipcdir=DIR],[directory containing IPC files
-                                 (default /var/run/pcscd)]),
+                                 (default /run/pcscd)]),
 [ipcdir="${enableval}"], [ipcdir=false])
 
 if test x${ipcdir} = xfalse ; then
-       ipcdir="/var/run/pcscd"
+       ipcdir="/run/pcscd"
 fi
 AC_DEFINE_UNQUOTED(USE_IPCDIR, "$ipcdir", [directory containing IPC files])
 PCSCLITE_FEATURES="${PCSCLITE_FEATURES} ipcdir=${ipcdir}"
Comment 4 Li-Wen Hsu freebsd_committer 2020-07-03 02:12:33 UTC
(In reply to Tatsuki Makino from comment #3)
Should we also restore this behavior?
Comment 5 Christoph Moench-Tegeder freebsd_committer 2020-07-03 14:53:43 UTC
(In reply to Li-Wen Hsu from comment #4)
ah yes, that makes sense. sorry for the thinko - handling too much stuff at once
Comment 6 Tatsuki Makino 2020-07-03 21:57:27 UTC
(In reply to Li-Wen Hsu from comment #4)
(In reply to Christoph Moench-Tegeder from comment #5)

I don't know what the change from /var/run/pcscd/pcscd.{comm,pid} to /var/run/pcscd.{comm,pid} will affect :)
Comment 7 commit-hook freebsd_committer 2020-07-04 09:25:01 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Jul  4 09:24:20 UTC 2020
New revision: 541181
URL: https://svnweb.freebsd.org/changeset/ports/541181

Log:
  MFH: r541046

  Restore ipcdir to /var/run

  PR:		247719 [1] 247286 [2]
  Submitted by:	cmt [1]
  Reported by:	Tatsuki Makino [2]
  Approved by:	maintainer timeout (followup last coomit)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/devel/pcsc-lite/Makefile